- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# rabbitmq_vhost – Manage the state of a virtual host in RabbitMQ

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Manage the state of a virtual host in RabbitMQ

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | The name of the vhost to manage aliases: vhost
node - | Default: "rabbit" | erlang node name of the rabbit we wish to configure
state - | Choices: present ← absent | The state of vhost
tracing boolean | Choices: no ← yes | Enable/disable tracing for a vhost aliases: trace

## Examples

    # Ensure that the vhost /test exists.
    - rabbitmq_vhost:
        name: /test
        state: present

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Chris Hoffman (@chrishoffman)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.